wifi8 2.0.0.0

Data Fields
wifi8_connect_reply_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
int8_t | sock
int8_t | s8_error
union {
uint16_t u16_app_data_offset
struct {
uint8_t u8_err_source
uint8_t u8_err_code
} |
}; |

## Field Documentation

## ◆ @1

union { ... }

## ◆ s8_error

int8_t s8_error

0 for successful connection, in which case u16_app_data_offset is valid. negative for failed connection, in which case u8_error_type and u8_error_detail may give more info.

## ◆ sock

int8_t sock

## ◆ u16_app_data_offset

uint16_t u16_app_data_offset

in further packet send requests the host interface should put the user applicationdata at this offset in the allocated shared data packet.

## ◆ u8_err_code

uint8_t u8_err_code

for tls alerts, this is the alert id.

## ◆ u8_err_source

uint8_t u8_err_source

0: no detail; 1: tls alert received from peer; 2: tls alert generated locally

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h